﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace drawtool
{
    /// <summary>
    ///　カーソルの状態を表します。
    /// </summary>
    public enum DrawStateEnum
    {
        /// <summary>
        /// 通常のカーソル状態
        /// </summary>
        Cursor,
        /// <summary>
        /// 四角形の描画状態
        /// </summary>
        Rectangle,
        /// <summary>
        /// 楕円形の描画状態
        /// </summary>
        Ellipse,
        /// <summary>
        /// 直線の描画状態
        /// </summary>
        Line

    }

    public class DrawState
    {
        public delegate void StateChanged(DrawStateEnum state);

        public event StateChanged StateChangedEvent;

        private DrawStateEnum currentState = DrawStateEnum.Cursor;

        public DrawStateEnum CurrentState
        {
            get { return currentState; }
            set { value = currentState; }
        }

        public void ChangeState(DrawStateEnum state)
        {
            currentState = state;
            if (StateChangedEvent != null)
            {
                StateChangedEvent(state);
            }
        }


    }
}
